View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 6 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
 Post subject: ABC iView Problem
PostPosted: Fri Mar 19, 2010 4:34 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 301
Location: Melbourne, Australia
The Australian ABC has for the last year had a facility to download TV shows. I think it is similar to Hulu and the BBC service. It relies on Flash Player.

I have been trying to get it to work work on my Mythbox without success. I can bring up the iView home page and navigate around but when I try to stream a show I get an error message
"Warning - Sorry, there has been a problem connecting to iView. Please check your internet connection and try again.
Connection error 60.242.41.138 Akamai"
I believe I have Flash work correctly on firefox because Youtube is OK.

It works on other computers in the house (windows and Linux). Connection is ADSL 2+ so speed is good.

Has anyone else got it working successfully?

Ultimately I would like access iView via a downloader so that I can download batch-wise and watch as videos. But that's my next project.

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS R8.4.3


Top
 Profile  
 
 Post subject:
PostPosted: Fri Mar 19, 2010 6:39 pm 
Offline
Joined: Tue Mar 22, 2005 9:18 pm
Posts: 1388
Location: Brisbane, Queensland, Australia
Whilst I can't help you with your problem I would love to see how this works as well.

I would like to make a suggestion however, have you tried going to Adobe's website and check that you have the latest version of flash as that may be prohibitive. Just a guess.

_________________
Girkers


Top
 Profile  
 
 Post subject:
PostPosted: Wed Mar 24, 2010 10:09 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 301
Location: Melbourne, Australia
Some more updates.

Still no success with streaming iView through the Myth box although it works fine on other computers in the house using windows and Ubuntu. Is anyone else using it?

I have discovered a number of downloaders set up for iView which allow you to download complete shows to watch later. I installed one on my windows machine and successfully downloaded a show. I was not able to view it on windows but I could on Ubuntu. When I copied the file (mp4) to the myth box it would not play on any player (internal, mplayer, xine or vlc). When I try to play with vlc I get rows and rows of "flv @ 0xb24e0af0]Unsupported video codec (7)". If I try to find examine the file with ffmpeg I get the same thing.

I was able to look at it with ffmpeg on my ubuntu machine and got the following.
Code:
richard@richard-desktop:~/Desktop$ ffmpeg -i test2.mp4
FFmpeg version SVN-r19352-4:0.5+svn20090706-2ubuntu2, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: --extra-version=4:0.5+svn20090706-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --disable-stripping --disable-vhook --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --extra-cflags=-I/build/buildd/ffmpeg-0.5+svn20090706/debian/include --enable-shared --disable-static
  libavutil     49.15. 0 / 49.15. 0
  libavcodec    52.20. 0 / 52.20. 0
  libavformat   52.31. 0 / 52.31. 0
  libavdevice   52. 1. 0 / 52. 1. 0
  libavfilter    0. 4. 0 /  0. 4. 0
  libswscale     0. 7. 1 /  0. 7. 1
  libpostproc   51. 2. 0 / 51. 2. 0
  built on Oct 13 2009 22:15:16, gcc: 4.4.1

Seems stream 0 codec frame rate differs from container frame rate: 50.00 (50/1) -> 25.00 (25/1)
Input #0, flv, from 'test2.mp4':
  Duration: 00:12:26.00, start: 0.000000, bitrate: N/A
    Stream #0.0: Video: h264, yuv420p, 640x360 [PAR 1:1 DAR 16:9], 25 tbr, 1k tbn, 50 tbc
    Stream #0.1: Audio: aac, 22050 Hz, stereo, s16
At least one output file must be specified
Does this mean the yuv420p codec is not installed? If so how do I get it?

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS R8.4.3


Top
 Profile  
 
 Post subject:
PostPosted: Sat Mar 27, 2010 5:51 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 301
Location: Melbourne, Australia
Some more clues - perhaps?

If I try a transcode to avi on my ubuntu machine with
Code:
ffmpeg -i test2.mp4 -acodec copy test3.avi
I can create a file which plays successfully on the Mythbox. The '-acodec copy' prevents a screen full of statements that SBR is not implemented. The avi file has the following properties
Code:
richard@richard-desktop:~/Desktop$ ffmpeg -i /media/024D-027E/test3.avi
FFmpeg version SVN-r19352-4:0.5+svn20090706-2ubuntu2, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: --extra-version=4:0.5+svn20090706-2ubuntu2 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --disable-stripping --disable-vhook --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --extra-cflags=-I/build/buildd/ffmpeg-0.5+svn20090706/debian/include --enable-shared --disable-static
  libavutil     49.15. 0 / 49.15. 0
  libavcodec    52.20. 0 / 52.20. 0
  libavformat   52.31. 0 / 52.31. 0
  libavdevice   52. 1. 0 / 52. 1. 0
  libavfilter    0. 4. 0 /  0. 4. 0
  libswscale     0. 7. 1 /  0. 7. 1
  libpostproc   51. 2. 0 / 51. 2. 0
  built on Oct 13 2009 22:15:16, gcc: 4.4.1

Seems stream 0 codec frame rate differs from container frame rate: 50.00 (50/1) -> 25.00 (25/1)
Input #0, avi, from '/media/024D-027E/test3.avi':
  Duration: 00:12:25.04, start: 0.000000, bitrate: 585 kb/s
    Stream #0.0: Video: h264, yuv420p, 640x360, PAR 1:1 DAR 16:9, 25 tbr, 25 tbn, 50 tbc
    Stream #0.1: Audio: mp2, 22050 Hz, stereo, s16, 64 kb/s
At least one output file must be specified.

So the video is still h264 yuv420p so obviously that is not the problem. I assume that means the problem lies in the flv container. If so why does Youtube work? Or is it specific to the players?

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS R8.4.3


Top
 Profile  
 
 Post subject:
PostPosted: Sat Apr 03, 2010 1:17 am 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 301
Location: Melbourne, Australia
I have continued exploring this without success. I have recently tried updating ffmpeg as suggested by yababom in this text but am not having much success. I always seem to have dependencies issues and the method in the post does not help. The ffmpeg --version below lists libswscale.0 as the problem but I have had others.
Code:
root@mythtest:/home/mythtv# ffmpeg --version   
ffmpeg: /usr/lib/libswscale.so.0: no version information available (required by ffmpeg)
FFmpeg version SVN-r0.5.1-4:0.5.1-3, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: --disable-encoder=h263 --disable-encoder=h263p --disable-encoder=mpeg2video --disable-encoder=mpeg4 --disable-encoder=msmpeg4v1 --disable-encoder=msmpeg4v2 --disable-encoder=msmpeg4v3 --extra-version=4:0.5.1-3 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libdirac --enable-libgsm --enable-libopenjpeg --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --disable-stripping --disable-vhook --enable-runtime-cpudetect --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libfaad --enable-libdc1394 --enable-shared --disable-static
  libavutil     49.15. 0 / 49.15. 0
  libavcodec    52.20. 1 / 52.20. 1
  libavformat   52.31. 0 / 52.31. 0
  libavdevice   52. 1. 0 / 52. 1. 0
  libavfilter    0. 4. 0 /  0. 4. 0
ffmpeg: relocation error: ffmpeg: symbol swscale_version, version LIBSWSCALE_0 not defined in file libswscale.so.0 with link time reference
I should mention that I am trying to do this on a test machine to get enough confidence for my working machine. In one of my attempts I did have success but after trying lots of things. I am trying to make it reproducible and be comfortable with it before I try my working machine.

Has anyone else had dependency issues with ffmpeg?

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS R8.4.3


Top
 Profile  
 
 Post subject:
PostPosted: Sun Apr 04, 2010 4:52 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 301
Location: Melbourne, Australia
The latest development is that I discovered that when I did an "apt-get update" I was getting a GPG error NO_PUBKEY. I fixed this by
Code:
root@mythtest:/home/mythtv# gpg --keyserver subkeys.pgp.net --recv-keys 4D270D06F42584E6
gpg: requesting key F42584E6 from hkp server subkeys.pgp.net
gpg: key F42584E6: public key "Lenny Stable Release Key <debian-release@lists.debian.org>" imported
gpg: no ultimately trusted keys found
gpg: Total number processed: 1
gpg:               imported: 1
root@mythtest:/home/mythtv# apt-key add /root/.gnupg/pubring.gpg
where 4D270... was the number in the error message. I had to do this twice because I had 2 error messages each with a different key.

I can now run "apt-get update" without the error messages but I am still have dependency problems. "apt-get -f install" gives
Code:
root@mythtest:/home/mythtv# apt-get -f install
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
  libswscale0
The following NEW packages will be installed:
  libswscale0
0 upgraded, 1 newly installed, 0 to remove and 913 not upgraded.
1 not fully installed or removed.
Need to get 0B/229kB of archives.
After unpacking 721kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
(Reading database ... 93989 files and directories currently installed.)
Unpacking libswscale0 (from .../libswscale0_4%3a0.5.1-3_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libswscale0_4%3a0.5.1-3_i386.deb (--unpack):
 trying to overwrite `/usr/lib/libswscale.so.0', which is also in package libswscalecvs0
Errors were encountered while processing:
 /var/cache/apt/archives/libswscale0_4%3a0.5.1-3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Trying to install libswscale0 separately gives the same result. Can anyone help?

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS R8.4.3


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu